<?php

namespace CityBeach\CatchFeeder\Api;

interface ProductSummaryInterface
{
    /**
     * Retrieve product summary for products matching the specified criteria.
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return mixed
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getList(\Magento\Framework\Api\SearchCriteriaInterface $searchCriteria);

    /**
     * Count product summary for products matching the specified criteria.
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return mixed
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getCount(\Magento\Framework\Api\SearchCriteriaInterface $searchCriteria);
}
