<?php

namespace CityBeach\CatchFeeder\Block\Info;

class Payment extends \Magento\Payment\Block\Info
{
    /**
     * @var string
     */
    protected $_template = 'CityBeach_CatchFeeder::info/payment.phtml';

    /**
     * @return string
     */
    public function getPaymentType()
    {
        return $this->getInfo()->getAdditionalInformation('payment_type');
    }

    /**
     * @return string
     */
    public function getTransactionId()
    {
        return $this->getInfo()->getAdditionalInformation('transaction_id');
    }

    /**
     * @return string
     */
    public function getTransactionDate()
    {
        return $this->getInfo()->getAdditionalInformation('transaction_date');
    }

    /**
     * @return string
     */
    public function getUserReference()
    {
        return $this->getInfo()->getAdditionalInformation('user_reference');
    }
}
