<?php

namespace CityBeach\CatchFeeder\Model\Order;

use CityBeach\CatchFeeder\Api\Data\CustomerInterface;

class Customer implements CustomerInterface
{

    /**
     * @var string $firstName
     */
    private $firstName;

    /**
     * @var string $lastName
     */
    private $lastName;

    /**
     * @var string $email
     */
    private $email;

    /**
     * @return string
     */
    public function getFirstName()
    {
        return $this->firstName;
    }

    /**
     * @param string $firstName
     */
    public function setFirstName($firstName)
    {
        $this->firstName = $firstName;
    }

    /**
     * @return string
     */
    public function getLastName()
    {
        return $this->lastName;
    }

    /**
     * @param string $lastName
     */
    public function setLastName($lastName)
    {
        $this->lastName = $lastName;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    public function validate()
    {
        if (empty($this->email)
        ) {
            throw new \Magento\Framework\Exception\LocalizedException(__('Missing required property on customer'));
        }
    }
}
