<?php

namespace CityBeach\CatchFeeder\Api;

interface ProductSummaryRepositoryInterface
{
    /**
     * Retrieve product summary for products matching the specified criteria.
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \CityBeach\CatchFeeder\Model\ResourceModel\ProductSummary\Collection
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function getList(\Magento\Framework\Api\SearchCriteriaInterface $searchCriteria);
}
